package RPM::Source::Transformation::ParentOptions;

use strict;
use warnings;

use RPM::Source::Transformation::Component;
our @ISA=qw/RPM::Source::Transformation::Component/;

push @RPM::Source::Transform::SUPPORT_CLASSES, __PACKAGE__;
$RPM::Source::Transform::ParentProvider=__PACKAGE__;

our $verbose=0;
our @PARENTS;

sub longopt_usage {
    print "  Parent package input options:
	--parent[-rpm] /path/to/parent/src.rpm
	--parent[-spec] /path/to/parent/spec
	Supplying parent spec/srpm is optional. If parent spec is supplied,
	parent changelog, Serial/Epoch and possibly Packager tag will be merged.
";
}

our @LONGOPT=(
    'parent=s'	=> sub {push @PARENTS, &RPM::Source::Transform::__process_srcarg ($_[0], $_[1]) },
    'parent-spec=s' => sub { push @PARENTS, [ SPECFILE => $_[1]]},
    'parent-rpm=s' => sub { push @PARENTS, [ SOURCERPM => $_[1]]},
);

sub get {
    my ($self,$extopt)=@_;
    shift @PARENTS;
}

1;
