package RPM::Source::Transformation::DebugResource;

use strict;
use warnings;
use Carp;
no strict "refs";

use RPM::Source::Transform;
use RPM::Source::Transformation::Resource;
our @ISA=qw/RPM::Source::Transformation::Resource/;

#unshift @RPM::Source::Transform::RESOURCE_CLASSES, __PACKAGE__;

my @opt_def;

sub longopt_usage {
    print "
  Debug options:
	--SET '<name>=<value>' set the value of global variable
";
}

our @LONGOPT=(
    'SETVAR=s'	=> \@opt_def,
);

sub process_options {
    my ($self)=@_;
    for my $expr (@opt_def) {
	my $var=$expr;
	my $val=1;
	if ($var =~ /^([^\s=]+)[\s=]+(.*)$/) {
	    $var=$1;
	    $val=$2;
	}
	eval {
	    ${$var}=$val;
	};
	warn "setting variable $expr failed: $@\n" if $@;
    }
}

1;
