package RPM::Source::Transformation::DistroMapResource;

use strict;
use warnings;
use Carp;

use DistroMap 0.14;
use RPM::Source::Transform;
use RPM::Source::Transformation::Resource;
our @ISA=qw/RPM::Source::Transformation::Resource/;

push @RPM::Source::Transform::RESOURCE_CLASSES, __PACKAGE__;

our $verbose=0;

#sub longopt_usage {
#    print "
#  Filesystem resources options:
#	--datapath /path1:/path2:... colon separated list of directories
#";
#}

our @LONGOPT=(
);

unless ($DistroMap::flag_longopt_published) {
    $DistroMap::flag_longopt_published=1;
    push @RPM::Source::Transform::EXT_OPTS, @DistroMap::LONGOPT;
    push @RPM::Source::Transform::EXT_OPTS_USAGE, \&DistroMap::longopt_usage;
}

sub process_options {
    my ($self)=@_;
}

sub register_messages {
    my ($self,$extopt)=@_;
    ### TODO: use some fixed keys hash here
    RPM::Source::Transformation::Component::add_opt($extopt, {
	# TODO
    })
}

sub prepare_resource {
    my (undef,$spec,$parent,$opt,$resourceobj)=@_;
}


package RPM::Source::Transformation::Resource;

sub get_distromap {
    my ($self)=@_;
    my $distromap=$self->{'__distromap'};
    return $distromap if $distromap;
    $self->{'__distromap'}=DistroMap->new();
    print STDERR "get_distromap: created distromap\n" if $RPM::Source::Transformation::DistroMapResource::verbose>1;
    return $self->{'__distromap'};
}

1;
